in

Canonical atualiza comando sudo por falha de segurança

O sudo é atualizado para a versão 1.8.27 para corrigir uma vulnerabilidade

Canonical atualiza comando sudo por falha de segurança

Falha no Sudo pode permitir que usuários que não executem comandos como root. A descoberta foi revelada pela própria Canonical ao publicar um novo relatório de segurança. A vulnerabilidade corrigida desta vez é outra daquelas que poderiam passar despercebidas e que poderíamos ter perdido. Porém, chama a atenção por estar em algo que todos os usuários do Ubuntu conhecem: o comando sudo. O relatório publicado é USN-4154-1 e, como esperado, afeta todas as versões suportadas do Ubuntu. Sendo assim, a Canonical atualiza comando sudo por falha de segurança.

Para especificar um pouco mais, as versões suportadas mencionadas são Ubuntu 19.04, Ubuntu 18.04 e Ubuntu 16.04 em seu ciclo normal e Ubuntu 14.04 e Ubuntu 12.04 em sua versão ESM (Extended Security Maintenance). Se acessarmos a página da vulnerabilidade corrigida, publicada pela Canonical, veremos que já existem patches disponíveis para todas as versões mencionadas. No entanto, o Ubuntu 19.10 Eoan Ermine ainda é afetado, pois podemos ler o texto em vermelho “necessário”.

Canonical atualiza comando sudo por falha de segurança. O comando é atualizado para a versão 1.8.27

Canonical atualiza comando sudo por falha de segurança

O bug corrigido é o CVE-2019-14287, descrito como:

Quando o sudo está configurado para permitir que um usuário execute comandos como um usuário arbitrário por meio da palavra-chave ALL em uma especificação Runes, é possível executar comandos como root especificando o ID do usuário -1 ou 4294967295.

A Canonical classificou a decisão como de prioridade média. Ainda assim, “sudo” e “root” nos fazem pensar no Lockdown, um módulo de segurança que aparecerá no Linux 5.4. Este módulo restringirá ainda mais as licenças, o que é mais seguro, por um lado, mas, por outro, impedirá que os proprietários de uma equipe sejam uma espécie de “Deus” com ele.

Por esse motivo, há um debate sobre isso há algum tempo e o Lockdown será desativado por padrão, embora o principal motivo para isso seja o fato de poder danificar os sistemas operacionais existentes.

A atualização está agora disponível nos diferentes centros de software. Portanto, atualize agora.

Fonte: Ubunlog

Escrito por Claylson Martins

Jornalista com pós graduações em Economia, Jornalismo Digital e Radiodifusão.

Internet Archive adicionou 2.500 jogos do MS-DOS à coleção

Internet Archive adicionou 2.500 jogos do MS-DOS à coleção

Google anuncia nova chave de segurança USB-C Titan

Google anuncia nova chave de segurança USB-C Titan